{
  name: "Punching Glove",
  spritenum: 749,
  fling: {
  	basePower: 30,
  },
  onBasePowerPriority: 23,
  onBasePower(basePower, attacker, defender, move) {
  	if (move.flags['punch']) {
  		this.debug('Punching Glove boost');
  		return this.chainModify([4506, 4096]);
  	}
  },
  onModifyMovePriority: 1,
  onModifyMove(move) {
  	if (move.flags['punch']) delete move.flags['contact'];
  },
  num: 1884,
  gen: 9,
}